## rmtest

#### OS/161 Reference Manual

### Name

rmtest - test removing open files

### Synopsis

`/testbin/rmtest`

### Description

`rmtest` deletes a file while it's open and then attempts to do further I/O to it, and tries to check that the right things happen.

### Requirements

`rmtest` uses the following system calls:

- fork
- execv
- waitpid
- open
- read
- write
- lseek
- close
- _exit

`rmtest` also spawns a copy of /bin/rm, which uses these system calls:

- remove
- write
- _exit

`rmtest` should run correctly once the file system assignment is complete.

### Bugs

There's no particular reason it should use `/bin/rm` instead of calling remove itself. But I guess it makes life more exciting.